issue zpush on outlook2016?



  • Hi,
    I was wondering if someone else has had this issue before as for some odd reason on outlook 2016 using cross over wont get the auto discover working. but on a normal outlook 2016 works this is the logs of the error

    92.168.3.254 - gerencia@mydomain.com [20/Jan/2019:18:52:18 -0500] "POST /autodiscover/autodiscover.xml HTTP/1.1" 500 5 "-" "Microsoft Office/16.0 (Windows NT 6.1; Microsoft Outlook 16.0.4432; Pro)"
    20/01/2019 18:54:13 [14581] [ INFO] [#unknown] Z-Push version='GIT'
    20/01/2019 18:54:13 [14581] [ INFO] [#unknown] AuthenticationRequiredException: Unauthorized - code: 0 - file: /var/www/zpush/src/autodiscover/autodiscover.php:149
    20/01/2019 18:54:13 [14581] [FATAL] [#unknown] Exception: (AuthenticationRequiredException) - Unauthorized
    20/01/2019 18:54:13 [14581] [ERROR] [#unknown] Unable to complete autodiscover incorrect request: 'Unauthorized'
    192.168.3.254 - - [20/Jan/2019:18:54:13 -0500] "POST /autodiscover/autodiscover.xml HTTP/1.1" 401 5 "-" "Microsoft Office/16.0 (Windows NT 6.1; Microsoft Outlook 16.0.4432; Pro)"
    20/01/2019 18:54:14 [25728] [ INFO] [#unknown] Z-Push version='GIT'
    20/01/2019 18:54:14 [25728] [FATAL] [#unknown] FatalException: Request for a responseschema that is not supported (only mobilesync is supported): http://schemas.microsoft.com/exchange/autodiscover/outlook/responseschema/2006a - code: 0 - file: /var/www/zpush/src/autodiscover/autodiscover.php:177
    20/01/2019 18:54:14 [25728] [FATAL] [#unknown] Exception: (FatalException) - Request for a responseschema that is not supported (only mobilesync is supported): http://schemas.microsoft.com/exchange/autodiscover/outlook/responseschema/2006a
    20/01/2019 18:54:14 [25728] [ERROR] [#unknown] Unable to complete autodiscover because of ZPushException. Error: Request for a responseschema that is not supported (only mobilesync is supported): http://schemas.microsoft.com/exchange/autodiscover/outlook/responseschema/2006a
    192.168.3.254 - gerencia@mydomain.com [20/Jan/2019:18:54:14 -0500] "POST /autodiscover/autodiscover.xml HTTP/1.1" 500 5 "-" "Microsoft Office/16.0 (Windows NT 6.1; Microsoft Outlook 16.0.4432; Pro)"
    20/01/2019 18:54:14 [ 4283] [ INFO] [#unknown] Z-Push version='GIT'
    20/01/2019 18:54:14 [ 4283] [FATAL] [#unknown] FatalException: Request for a responseschema that is not supported (only mobilesync is supported): http://schemas.microsoft.com/exchange/autodiscover/outlook/responseschema/2006a - code: 0 - file: /var/www/zpush/src/autodiscover/autodiscover.php:177
    20/01/2019 18:54:14 [ 4283] [FATAL] [#unknown] Exception: (FatalException) - Request for a responseschema that is not supported (only mobilesync is supported): http://schemas.microsoft.com/exchange/autodiscover/outlook/responseschema/2006a
    20/01/2019 18:54:14 [ 4283] [ERROR] [#unknown] Unable to complete autodiscover because of ZPushException. Error: Request for a responseschema that is not supported (only mobilesync is supported): http://schemas.microsoft.com/exchange/autodiscover/outlook/responseschema/2006a
    192.168.3.254 - gerencia@mydomain.com [20/Jan/2019:18:54:14 -0500] "POST /autodiscover/autodiscover.xml HTTP/1.1" 500 5 "-" "Microsoft Office/16.0 (Windows NT 6.1; Microsoft Outlook 16.0.4432; Pro)"
    
    

    Thank you

    edit: so after looking the at the logs it gets the URL then it asks for authentication once i put it in i get this

    Z-Push - Open Source ActiveSync
    Version GIT
    GET not supported
    
    
    https://autodiscover.mydomain.com.co/autodiscover/autodiscover.xml

  • Kopano

    Hi @killmasta93 ,

    this has been previously discussed here in the forum as well. Here is a Jira ticket explaining why this is not supported/cannot work: https://jira.z-hub.io/browse/ZP-1393



  • Thanks for the reply, i ended up using evolution client so far so good